| Version: 3.2.5

Macros | Typedefs
chartype.h File Reference

## Macros

#define | wxT(string)
| This macro can be used with character and string literals (in other words, `'x'` or `"foo"`) to automatically convert them to wide strings in Unicode builds of wxWidgets. More...
#define | wxT_2(string)
| Compatibility macro which expands to wxT() in wxWidgets 2 only. More...
#define | wxS(string)
| wxS is a macro which can be used with character and string literals (in other words, `'x'` or `"foo"`) to convert them either to wide characters or wide strings in `wchar_t-based` (UTF-16) builds, or to keep them unchanged in `char-based` (UTF-8) builds. More...
#define | _T(string)
| This macro is exactly the same as wxT() and is defined in wxWidgets simply because it may be more intuitive for Windows programmers as the standard Win32 headers also define it (as well as yet another name for the same macro which is _TEXT()). More...

## Typedefs

typedef wxUSE_UNICODE_dependent | wxChar
| wxChar is defined to be - `char` when `wxUSE_UNICODE==0` - `wchar_t` when `wxUSE_UNICODE==1` (the default). More...
typedef wxUSE_UNICODE_dependent | wxSChar
| wxSChar is defined to be - `signed char` when `wxUSE_UNICODE==0` - `wchar_t` when `wxUSE_UNICODE==1` (the default). More...
typedef wxUSE_UNICODE_dependent | wxUChar
| wxUChar is defined to be - `unsigned char` when `wxUSE_UNICODE==0` - `wchar_t` when `wxUSE_UNICODE==1` (the default). More...
typedef wxUSE_UNICODE_WCHAR_dependent | wxStringCharType
| wxStringCharType is defined to be: - `char` when `wxUSE_UNICODE==0` - `char` when `wxUSE_UNICODE_WCHAR==0` and `wxUSE_UNICODE==1` - `wchar_t` when `wxUSE_UNICODE_WCHAR==1` and `wxUSE_UNICODE==1` More...